#!/bin/bash
# ============LICENSE_START=======================================================
#  Copyright (C) 2020 The Nordix Foundation. All rights reserved.
# ================================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# SPDX-License-Identifier: Apache-2.0
# ============LICENSE_END=========================================================

set -o nounset
set -o errexit
set -o pipefail

TEMP=$1
CONTAINERDIR="${TEMP:-"/opt/engine/onap/offline/containers"}"

cd "$CONTAINERDIR"

for dockerfile in *.tar
do
   docker load  < "$dockerfile"
done

# Proposed multithreaded approach tha seemed to work but is mothballed for now
# find . -name \*.tar -print > /tmp/containerlist.txt
# load containers in parallel
# xargs -n 1 -P 4 docker load -i < /tmp/containerlist.txt
